Name:           python-dudraw
Version:        1.10.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A fork of Princeton's stddraw for use in classes at the University of Denver

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://git.cs.du.edu/dudraw/dudraw
Source:         %{pypi_source dudraw}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dudraw' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dudraw
Summary:        %{summary}

%description -n python3-dudraw %_description


%prep
%autosetup -p1 -n dudraw-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dudraw -f %{pyproject_files}


%changelog
%autochangelog